#include <graphics.h>
#include <stdlib.h>
#include <stdio.h>
#include <conio.h>

void main(){
   int gdriver = DETECT, gmode, errorcode;
   initgraph(&gdriver, &gmode, "c:\\tc\\bgi");
   errorcode = graphresult();
   if (errorcode != grOk){
      printf("Error al iniciar el modo gr fico: %s\n", grapherrormsg(errorcode));
      printf("Pulse cualquier tecla para finalizar...");
      getch();
      exit(1);
   }
  setcolor(1);
  rectangle(-1,-1,640,480);setfillstyle(9,1);floodfill(2,2,1);
// Pendiente 1/4 =80
  setcolor(15);
  setlinestyle(0,1,3);line(80,430,560,430);
  setlinestyle(0,1,1);line(80,430,160,110);line(560,430,480,110);
  line(160,110,480,110);
  line(320,430,320,110);
  line(260,430,280,110);line(200,430,240,110);line(140,430,200,110);
  line(380,430,360,110);line(440,430,400,110);line(500,430,440,110);
  line(150,150,490,150);
  line(160,192,500,192);
//  setfillstyle(1,14);floodfill(475,112,15);
  getch();
  closegraph();
}